Bug 628225 - SELinux is preventing /sbin/depmod access to a leaked /var/cache/akmods/nvidia/.last.log file descriptor.
Summary: SELinux is preventing /sbin/depmod access to a leaked /var/cache/akmods/nvidi...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 14
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:9ca72ea1ba4...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-28 18:09 UTC by Vaclav "sHINOBI" Misek
Modified: 2010-09-08 04:32 UTC (History)
2 users (show)

Fixed In Version: selinux-policy-3.9.0-2.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-09-08 04:32:16 UTC


Attachments (Terms of Use)

Description Vaclav "sHINOBI" Misek 2010-08-28 18:09:16 UTC
Summary:

SELinux is preventing /sbin/depmod access to a leaked
/var/cache/akmods/nvidia/.last.log file descriptor.

Detailed Description:

[depmod has a permissive type (depmod_t). This access was not denied.]

SELinux denied access requested by the depmod command. It looks like this is
either a leaked descriptor or depmod output was redirected to a file it is not
allowed to access. Leaks usually can be ignored since SELinux is just closing
the leak and reporting the error. The application does not use the descriptor,
so it will run properly. If this is a redirection, you will not get output in
the /var/cache/akmods/nvidia/.last.log. You should generate a bugzilla on
selinux-policy, and it will get routed to the appropriate package. You can
safely ignore this avc.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385)

Additional Information:

Source Context                unconfined_u:system_r:depmod_t:SystemLow-
                              SystemHigh
Target Context                unconfined_u:object_r:var_t:SystemLow
Target Objects                /var/cache/akmods/nvidia/.last.log [ file ]
Source                        depmod
Source Path                   /sbin/depmod
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           module-init-tools-3.11.1-2.fc13
Target RPM Packages           
Policy RPM                    selinux-policy-3.8.8-20.fc14
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   leaks
Host Name                     (removed)
Platform                      Linux (removed) 2.6.35.4-12.fc14.x86_64
                              #1 SMP Sat Aug 28 18:14:56 CEST 2010 x86_64 x86_64
Alert Count                   1
First Seen                    Sat 28 Aug 2010 08:00:09 PM CEST
Last Seen                     Sat 28 Aug 2010 08:00:09 PM CEST
Local ID                      6a6f2599-37db-4d32-9acd-1eb19b15c598
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1283018409.782:32): avc:  denied  { append } for  pid=3534 comm="depmod" path="/var/cache/akmods/nvidia/.last.log" dev=dm-0 ino=1710377 scontext=unconfined_u:system_r:depmod_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:var_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1283018409.782:32): arch=c000003e syscall=59 success=yes exit=0 a0=20e6fe0 a1=20e52c0 a2=20e4e30 a3=28 items=0 ppid=3533 pid=3534 auid=0 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=tty2 ses=1 comm="depmod" exe="/sbin/depmod" subj=unconfined_u:system_r:depmod_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  leaks,depmod,depmod_t,var_t,file,append
audit2allow suggests:

#============= depmod_t ==============
allow depmod_t var_t:file append;

Comment 1 Daniel Walsh 2010-08-30 13:42:18 UTC
Fixed in selinux-policy-3.9.0-2.fc14

Comment 2 Fedora Update System 2010-08-30 15:59:42 UTC
selinux-policy-3.9.0-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/selinux-policy-3.9.0-2.fc14

Comment 3 Fedora Update System 2010-08-30 19:38:21 UTC
selinux-policy-3.9.0-2.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/selinux-policy-3.9.0-2.fc14

Comment 4 Fedora Update System 2010-09-08 04:30:33 UTC
selinux-policy-3.9.0-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.